[arch-commits] Commit in (4 files)
Felix Yan
fyan at archlinux.org
Wed Nov 4 02:48:56 UTC 2015
Date: Wednesday, November 4, 2015 @ 03:48:56
Author: fyan
Revision: 145885
addpkg: python-wsgiproxy2 0.4.2-1
Added:
python-wsgiproxy2/
python-wsgiproxy2/repos/
python-wsgiproxy2/trunk/
python-wsgiproxy2/trunk/PKGBUILD
----------+
PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 52 insertions(+)
Added: python-wsgiproxy2/trunk/PKGBUILD
===================================================================
--- python-wsgiproxy2/trunk/PKGBUILD (rev 0)
+++ python-wsgiproxy2/trunk/PKGBUILD 2015-11-04 02:48:56 UTC (rev 145885)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-wsgiproxy2
+pkgname=('python-wsgiproxy2' 'python2-wsgiproxy2')
+pkgver=0.4.2
+pkgrel=1
+pkgdesc="A WSGI Proxy with various http client backends"
+arch=('any')
+license=('MIT')
+url="https://github.com/gawel/WSGIProxy2/"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-webob' 'python2-webob'
+ 'python-six' 'python2-six' 'git')
+checkdepends=('python-nose' 'python2-nose' 'python-requests' 'python2-requests'
+ 'python-webtest' 'python2-webtest' 'python-waitress' 'python2-waitress')
+source=("git+https://github.com/gawel/WSGIProxy2.git#tag=$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+ cp -a WSGIProxy2{,-py2}
+}
+
+build() {
+ cd "$srcdir/WSGIProxy2"
+ python setup.py build
+
+ cd "$srcdir/WSGIProxy2-py2"
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir/WSGIProxy2"
+ nosetests3
+
+ cd "$srcdir/WSGIProxy2-py2"
+ # We don't provide restkit (looks obsolete to me)
+ nosetests2 || warning "Tests failed"
+}
+
+package_python-wsgiproxy2() {
+ depends=('python-webob' 'python-six')
+
+ cd WSGIProxy2
+ python setup.py install --root="${pkgdir}" --optimize=1
+}
+
+package_python2-wsgiproxy2() {
+ depends=('python2-webob' 'python2-six')
+
+ cd WSGIProxy2-py2
+ python2 setup.py install --root="${pkgdir}" --optimize=1
+}
Property changes on: python-wsgiproxy2/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property
More information about the arch-commits
mailing list